package me.totalfreedom.totalfreedommod.perms;

import net.luckperms.api.cacheddata.CachedMetaData;
import net.luckperms.api.cacheddata.CachedPermissionData;
import net.luckperms.api.context.ImmutableContextSet;
import net.luckperms.api.model.user.User;
import net.luckperms.api.query.QueryOptions;

public class UserData
{
    private User user;
    private CachedMetaData metaData;
    private CachedPermissionData permissionData;
    private ImmutableContextSet contextSet;
    private QueryOptions queryOptions;

    public UserData(User user, CachedMetaData metaData, CachedPermissionData permissionData, ImmutableContextSet contextSet, QueryOptions queryOptions)
    {
        this.user = user;
        this.metaData = metaData;
        this.permissionData = permissionData;
        this.contextSet = contextSet;
        this.queryOptions = queryOptions;
    }

    public User getUser()
    {
        return user;
    }

    public void setUser(User user)
    {
        this.user = user;
    }

    public CachedMetaData getMetaData()
    {
        return metaData;
    }

    public void setMetaData(CachedMetaData metaData)
    {
        this.metaData = metaData;
    }

    public CachedPermissionData getPermissionData()
    {
        return permissionData;
    }

    public void setPermissionData(CachedPermissionData permissionData)
    {
        this.permissionData = permissionData;
    }

    public ImmutableContextSet getContextSet()
    {
        return contextSet;
    }

    public void setContextSet(ImmutableContextSet contextSet)
    {
        this.contextSet = contextSet;
    }

    public QueryOptions getQueryOptions()
    {
        return queryOptions;
    }

    public void setQueryOptions(QueryOptions queryOptions)
    {
        this.queryOptions = queryOptions;
    }

    public UserData copy()
    {
        return new UserData(getUser(),
                getMetaData(),
                getPermissionData(),
                getContextSet(),
                getQueryOptions());
    }
}
