package me.totalfreedom.totalfreedommod.util;

public class PermissibleCompletion
{
    private final String permission;
    private final String completion;

    protected PermissibleCompletion(String permission, String completion)
    {
        this.completion = completion;
        this.permission = permission;
    }

    public String getPermission()
    {
        return permission;
    }

    public String getCompletion()
    {
        return completion;
    }

    public static PermissibleCompletion of(String permission, String completion)
    {
        return new PermissibleCompletion(permission, completion);
    }
}
